%global pkgname ll-plugins

Summary:	Collection of LV2 plugins
Name:		lv2-ll-plugins
Version:	0.2.8
Release:	10%{?dist}
License:	GPLv3+
Group:		Applications/Multimedia
URL:		http://ll-plugins.nongnu.org/
Source:		http://download.savannah.nongnu.org/releases/ll-plugins/%{pkgname}-%{version}.tar.bz2
# Patch sent to the author via email as there is no upstream tracker
# Fix 64 bit path
Patch0:		ll-plugins-lib64.patch

BuildRequires:	gtkmm24-devel
BuildRequires:	lash-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	lv2-c++-tools-static
BuildRequires:	lv2-devel

Requires:	lv2

%description
lv2-ll-plugins is a small collection of LV2 plugins, including an arpeggiator,
a MIDI keyboard, a drum-machine, a peak meter; and a host that runs them.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .lib64

# Don't build and package elven as it is now a separate project
sed -i '/^PROGRAMS = elven/d' Makefile

%build
# this doesn't use GNU configure
./configure --prefix=%{_prefix} --lv2plugindir=%{_libdir}/lv2 --CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make libdir=%{_libdir} DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_docdir}/%{pkgname}/*

%files
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lv2/*

%changelog
* Mon May 21 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.8-10
- Rebuilt against new lv2

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-9
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.8-7
- Clean up spec file, correct comments

* Sun Nov 06 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.8-6
- Rebuilt for libpng 1.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 22 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.2.8-4
- Add R: lv2core
- Don't build and package elven as it is now a separate project
- Remove BR: jack-audio-connection-kit-devel boost-devel

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.2.8-3
- Add missing BR: boost-devel lv2core-devel
- Fix DSO linking

* Sun Feb 21 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.2.8-2
- BR: lv2-c++-tools-static instead of devel

* Sat Feb 20 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.2.8-1
- New version
- Prepare package for Fedora
- Drop gcc4.4 patch

* Tue Mar 31 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.2.1-1
- initial build
